# Makefile manages to ignore hardened_build
#define _hardened_build 1
%define groupname plugdev

Summary : A multi-threaded multi-pool miner for bitcoin and derivative coins.
Name: cgminer
Version: 3.12.0
Release: 1%{dist}
License: GPLv3+
Group: Applications/Internet
Source0: http://ck.kolivas.org/apps/cgminer/cgminer-%{version}.tar.bz2
#Patch0: cgminer-3.10.0.patch
URL: https://bitcointalk.org/index.php?topic=28402.0
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: jansson-devel, libcurl-devel, libusb-devel, systemd-devel
BuildRequires: ncurses-devel

%description
This is a multi-threaded multi-pool GPU, FPGA and ASIC miner with ATI GPU
monitoring, (over)clocking and fanspeed support for bitcoin and derivative
coins. Do not use on multiple block chains at the same time!

This code is provided entirely free of charge by the programmer in his spare
time so donations would be greatly appreciated. Please consider donating to the
address below.

Con Kolivas <kernel@kolivas.org>
15qSxP1SQcUX3o4nhkfdbgyoWEFMomJ4rZ

%prep
%setup -q 
#patch0 -p1 -b .git

%build
%configure --disable-dependency-tracking --enable-icarus --enable-bitfury --with-gnu-ld
make #LDFLAGS=-lm

%install
rm -rf %{buildroot}
#make_install
mkdir -p %{buildroot}/usr/bin
cp -p cgminer %{buildroot}/usr/bin
mkdir -p %{buildroot}/etc/udev/rules.d
cp -p 01-cgminer.rules %{buildroot}/etc/udev/rules.d

%post
getent group  %{groupname} >/dev/null || groupadd -r %{groupname}

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS COPYING NEWS ChangeLog *README example.conf ABOUT*
/usr/bin/cgminer
/etc/udev/rules.d/01-cgminer.rules

%changelog

* Wed Jan 29 2014 Stuart Gathman <stuart@gathman.org> 3.12.0-1
- New release with ANTMiner support.

* Tue Jan 28 2014 Stuart Gathman <stuart@gathman.org> 3.10.0-1
- update to 3.10.0

* Mon Dec 02 2013 Stuart Gathman <stuart@gathman.org> 3.8.4-1
- update to 3.8.4

* Sun Nov 17 2013 Stuart Gathman <stuart@gathman.org> 3.8.2-2
- Patch to fix zombie hotplug

* Sun Nov 17 2013 Stuart Gathman <stuart@gathman.org> 3.8.2-1
- update to 3.8.2

* Mon Sep 16 2013 Stuart Gathman <stuart@gathman.org> 3.4.3-1
- Initial RPM
